﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WS-GPIB Connection
INSTRUMENT:            Sub LeCroy WS-GPIB Setup
INSTRUMENT:            Sub LeCroy WS-GPIB Initialization
DATE:                  2008-06-11 15:38:22
AUTHOR:                Fluke
REVISION:              $Revision: 2626 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       136
=============================================================================
#
#  Procedure Author:
#        DFM, VY
#
#  Model(s) Covered:
#        WaveRunner Xi series, WaveSurfer Xs series, ...
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub IEEE-488.2 Identification Query Parse Response
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        LeCroy WS-GPIB USB to GPIB Converter
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         CONNECT                      PSUBI("Connection")
  1.002  JMPL         SETUP                        PSUBI("Setup")
  1.003  JMPL         INITIALIZE                   PSUBI("Initialization")
  1.004  DISP         Called {Subprocedure Not Found}!
  1.005  END

# ====== Sub LeCroy WS-GPIB Connection =====================================

  1.006  LABEL        CONNECT
  1.007  OPBR         -z To communicate with UUT, the LeCroy WS-GPIB USB to
  1.007  OPBR         GPIB converter must be connected to an available UUT USB
  1.007  OPBR         port and appropriate GPIB port of the PC.
  1.007  OPBR
  1.007  OPBR         Have you already connected the converter to UUT and PC?
  1.007  OPBR         (if you answer No, you'll get instructions how to do.)

# If the WS-GPIB converter is not connected, instruct operator to do it.
  1.008  IF           NOT(MEM1)
  1.009  DISP         In the following steps, it is imperative that all
  1.009  DISP         steps be performed EXACTLY as instructed.
  1.009  DISP
  1.009  DISP         Read each step in its ENTIRETY prior to actually
  1.009  DISP         performing the requested operation and proceeding.

  1.010  DISP         Turn the UUT off. Allow the operating system's
  1.010  DISP         shutdown routine to finish.

  1.011  DISP         Connect the WS-GPIB USB to GPIB Converter to an
  1.011  DISP         available UUT USB port.
  1.011  DISP
  1.011  DISP         Do NOT connect the WS-GPIB USB to GPIB Converter
  1.011  DISP         to the PC at this time!

  1.012  DISP         Select "Terminate" to abort this procedure, followed
  1.012  DISP         by shutting down the power to the PC.
  1.012  DISP
  1.012  DISP         After the PC shutdown process is completed, connect
  1.012  DISP         the WS-GPIB USB to GPIB Converter to the appropriate
  1.012  DISP         GPIB port of the PC, then turn the PC on and re-run this
  1.012  DISP         procedure again.
  1.012  DISP
  1.012  DISP         Note: The PC must be turned off prior to connecting the
  1.012  DISP         WS-GPIB USB to GPIB Converter to avoid damage to the
  1.012  DISP         converter that may happen.
  1.013  END
  1.014  ENDIF

  1.015  END

  1.016  EVAL   Increment Test Number

# ====== Sub LeCroy WS-GPIB Setup ==========================================

  2.001  LABEL        SETUP
  2.002  DISP         Turn on the UUT.
  2.002  DISP
  2.002  DISP         If the 'Found New Hardware Wizard' window opens, select
  2.002  DISP         "Next" to install the USB-GPIB driver from the default
  2.002  DISP         location.
  2.002  DISP
  2.002  DISP         Allow the UUT to finish its initialization and power-up
  2.002  DISP         routine prior to proceeding.

  2.003  DISP         The UUT GPIB remote communications must now be
  2.003  DISP         configured.
  2.003  DISP
  2.003  DISP         - On the menu bar touch UTILITIES, then UTILITIES
  2.003  DISP         [32] SETUP... in the drop-down menu.
  2.003  DISP         - Touch the REMOTE tab.
  2.003  DISP         - Set CONTROL FROM to GPIB. (This choice will not be
  2.003  DISP         [32] available if the USB-GPIB software driver is not
  2.003  DISP         [32] installed and the Converter connected.)
  2.003  DISP         - Ensure the GPIB ADDRESS is not 0 (zero). If it is,
  2.003  DISP         [32] touch inside the GPIB Address field and enter a
  2.003  DISP         [32] valid address.
  2.003  DISP         - When finished, touch the UUT CLOSE button to close
  2.003  DISP         [32] the UTILITIES dialogue box.

  2.004  DISP         GPIB remote communication configuration is complete.
  2.004  DISP
  2.004  DISP         Throughout the procedure, the red LED on the WS-GPIB
  2.004  DISP         Converter will light when communication is in progress.
  2.004  DISP         Disconnecting the converter during this time may result
  2.004  DISP         in data corruption or equipment damage.
  2.005  END

  2.006  EVAL   Increment Test Number

# ====== Sub LeCroy WS-GPIB Initialization =================================

  3.001  LABEL        INITIALIZE
  3.002  IEEE         *CLS;*RST
  3.003  IEEE2        PACL;CHDR OFF;INE 0
  3.004  HEAD         UUT IDENTIFICATION
  3.005  IEEE         *IDN?[I$]
  3.006  CALL         Sub IEEE-488.2 Identification Query Parse Response
  3.007  END
